package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 课程表 
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_curriculum")
public class CurriculumDTO implements java.io.Serializable {

    /**
     * 参与对象
     */
    private String roleId;

    /**
     * 主图
     */
    private String curriculumImg;

    /**
     * 标题
     */
    private String name;

    /**
     * 简介
     */
    private String remark;

    /**
     * 详情类型：0富文本或者1视频
     */
    private Integer type;

    /**
     * 视频地址
     */
    private String curriculumUrl;

    /**
     * 富文本内容
     */
    private String content;

    /**
     * 权重
     */
    @TableField("WEIGHT")
    private Integer weight;

    /**
     * 是否发布
     */
    private Integer isPublish;
}
