package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 客户基本信息表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_customer_info")
public class CustomerInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 客户基本信息id
     */
    @TableId(type = IdType.UUID)
    private String customerInfoId;

    /**
     * 客户id
     */
    private String customerId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 姓名
     */
    private String name;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 家庭住址
     */
    private String homeAddress;

    /**
     * 工作地址
     */
    private String firmAddress;

    /**
     * 年龄段
     */
    private String age;

    /**
     * 职业
     */
    private String career;

    /**
     * 家庭年收入范围
     */
    private String householdIncome;

    /**
     * 家庭成员数
     */
    private Integer familyNumber;

    /**
     * 已有房产数
     */
    private Integer houseNumber;

    /**
     * 已有车辆数
     */
    private Integer carNumber;

    /**
     * 预计购房时间
     */
    private String estimatedPurchaseTime;

    /**
     * 客户咨询重点
     */
    private String consultation;

    /**
     * 购房动机
     */
    private String motivation;

    /**
     * 客户抗性分析
     */
    private String resistanceAnalysis;

    /**
     * 客户对项目认可点
     */
    private String approval;

    /**
     * 其他备注
     */
    private String remark;


    /**
     * 创建person
     */
    private String cretePerson;
}
